/*
    Created by Quo
*/
 

-- RULES FOR HARDCORE ONLY


-- Debug
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Resources_Code',	'1',	'0',		'') ;


-- RESOURCE REQUIREMENTS TO BUILD UNITS
-- Now possible to build units with just one copy of a resource
-- This is now controlled by a MyOption

UPDATE GlobalParameters SET Value=(SELECT tblQuoOptions.Value FROM tblQuoOptions WHERE tblQuoOptions.OptionId='QUO_OPTION_MIN_NUM_RESOURCE_FOR_PRODUCTION_ANYWHERE') 
	WHERE Name='STRATEGIC_RESOURCE_MINIMUM_FOR_PURCHASE_ANYWHERE' ;
	
UPDATE GlobalParameters SET Value=(SELECT tblQuoOptions.Value FROM tblQuoOptions WHERE tblQuoOptions.OptionId='QUO_OPTION_MIN_NUM_RESOURCE_FOR_PRODUCTION_ANYWHERE') 
	WHERE Name='STRATEGIC_RESOURCE_MINIMUM_FOR_PRODUCTION_ANYWHERE' ;



/* 
Set all standard units that seem like they should require horses actually require them. Skip over any that have a trait type, because
those units are unique to a civ.
*/
/*
CREATE TEMPORARY TABLE Quo_Tbl_Pre_Modern_Cavalry AS SELECT Units.UnitType
  FROM Units
       INNER JOIN
       Technologies ON Technologies.TechnologyType = Units.PrereqTech
       INNER JOIN
       Eras ON Eras.EraType = Technologies.EraType
 WHERE Eras.ChronologyIndex <= 5 AND 
       Units.TraitType IS NULL AND Units.PromotionClass IN ('PROMOTION_CLASS_LIGHT_CAVALRY', 'PROMOTION_CLASS_HEAVY_CAVALRY');


UPDATE Units
   SET StrategicResource = 'RESOURCE_HORSES'
WHERE Units.UnitType IN Quo_Tbl_Pre_Modern_Cavalry ;
*/

-- Give every civ Horses, then take it away from the Aztecs

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_FREE_HORSES', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_FREE_HORSES', 		'Amount', 		'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
	('QUO_MOD_FREE_HORSES', 		'ResourceType', 	'ARGTYPE_IDENTITY', 	'RESOURCE_HORSES',	NULL, 	NULL) ;





-- For known civs, assign the ability to build horses directly to their existing traits, so it doesn't show up on the loading screen.

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_LAST_PROPHET', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_AMAZON', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DYNASTIC_CYCLE', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DOUBLE_ARCHAEOLOGY_SLOTS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_WONDER_TOURISM', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_IMPERIAL_FREE_CITIES', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_PLATOS_REPUBLIC', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DHARMA', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_ADJACENT_DISTRICTS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_NKISI', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_EARLY_OCEAN_NAVIGATION', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_ALL_ROADS_TO_ROME', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_MOTHER_RUSSIA', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_EXTRA_LIGHT_CAVALRY', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_TREASURE_FLEET', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_FIRST_CIVILIZATION', 'QUO_MOD_FREE_HORSES') ,
	('TRAIT_CIVILIZATION_ITERU',	'QUO_MOD_FREE_HORSES') ;


-- DLC Civs

-- skip Aztec obviously since we do not want them to get horses

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_GOLDEN_LIBERTY', 'QUO_MOD_FREE_HORSES'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_POLAND' ;
 	
	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_LAND_DOWN_UNDER', 'QUO_MOD_FREE_HORSES'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AUSTRALIA' ;




-- Now we just have to worry about custom civs the player has installed. To make this work, we have to force a Trait on them
-- It will show in the game screen, but at least player will know we modded their custom civ.

INSERT INTO Types
	(Type, 						Kind)
VALUES 	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'KIND_TRAIT') ;

INSERT INTO Traits 
		(TraitType,			Name,						Description,						InternalOnly)
VALUES 	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'QUO_LOC_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS_NAME',	'QUO_LOC_TRAIT_MOD_CIV_BUILD_HORSE_UNITS_DESCRIPTION',	1);


INSERT INTO TraitModifiers
		(TraitType, 									ModifierID)
VALUES	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'QUO_MOD_FREE_HORSES') ;



CREATE TEMPORARY TABLE tbl_Quo_Horses_Unhandled_Civs AS
SELECT Civilizations.CivilizationType FROM Civilizations; 

DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AMERICA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ARABIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_BRAZIL' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_CHINA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ENGLAND' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_EGYPT' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_FRANCE' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_GERMANY' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_GREECE' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_INDIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_JAPAN' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_KONGO' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_NORWAY' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ROME' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_RUSSIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SCYTHIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SPAIN' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SUMERIA' ;

-- DLC
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AZTEC' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_POLAND' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AUSTRALIA' ;


INSERT INTO CivilizationTraits
	(CivilizationType, 			TraitType)
SELECT 	tbl_Quo_Horses_Unhandled_Civs.CivilizationType, 	'QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS'
FROM tbl_Quo_Horses_Unhandled_Civs ;



/*
-- Remove Horses from the map, increase sheep and cattle to compensate

UPDATE Resources SET Frequency=0 WHERE ResourceType='RESOURCE_HORSES' ;

UPDATE Resources SET Frequency=Frequency*2 WHERE ResourceType='RESOURCE_CATTLE' ;
UPDATE Resources SET Frequency=Frequency*2 WHERE ResourceType='RESOURCE_SHEEP' ;
*/


-- AZTEC JADE
-- Give the Aztecs free Jade. Done here instead of in the Civs file because only makes sense in the context of resources

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_FREE_JADE', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_FREE_JADE', 		'Amount', 		'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
	('QUO_MOD_FREE_JADE', 		'ResourceType', 	'ARGTYPE_IDENTITY', 	'RESOURCE_JADE',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_LEGEND_FIVE_SUNS', 'QUO_MOD_FREE_JADE'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;

*/


-- Make Jade a Bonus resource rather than a Luxury. It still provides +4 amenities.
-- Move it to Deserts
-- Removed, there are better ways to accomplish this
/*
UPDATE Resources SET ResourceClassType='RESOURCECLASS_BONUS' WHERE ResourceType='RESOURCE_JADE' ;
DELETE FROM Resource_ValidTerrains WHERE ResourceType='RESOURCE_JADE' AND TerrainType='TERRAIN_PLAINS' ;
DELETE FROM Resource_ValidTerrains WHERE ResourceType='RESOURCE_JADE' AND TerrainType='TERRAIN_GRASS' ;

INSERT INTO Resource_ValidTerrains
	(ResourceType, 		TerrainType)
VALUES	('RESOURCE_JADE',	'TERRAIN_DESERT_HILLS'),
	('RESOURCE_JADE',	'TERRAIN_DESERT') ,
	('RESOURCE_JADE',	'TERRAIN_SNOW') ;
*/

-- Update the Eagle Warrior so it requires Jade, and is no longer unique to the Aztecs

-- UPDATE Units SET StrategicResource='QUO_RESOURCE_JADE', TraitType=NULL, PrereqCivic='CIVIC_MILITARY_TRADITION' WHERE UnitType='UNIT_AZTEC_EAGLE_WARRIOR' ;
-- DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_AZTEC_EAGLE_WARRIOR' AND ReplacesUnitType='UNIT_WARRIOR' ;








					 					  
					  
/*
code used for reviewing Victories in database

select * from victories
left join requirementsets on requirementsets.RequirementSetId = victories.RequirementSetId
left join requirementsetrequirements on requirementsetrequirements.RequirementSetId = requirementsets.RequirementSetId
left join requirements on requirements.RequirementId = requirementsetrequirements.RequirementId
left join requirementarguments on requirementarguments.RequirementId = requirements.RequirementId
left join requirementsets as req2 on req2.RequirementSetId = requirementarguments.Value
left join requirementsetrequirements as reqset2 on reqset2.RequirementSetId = req2.RequirementSetId
left join requirements as req_ on req_.RequirementId = reqset2.RequirementId
left join requirementarguments as reqarg2 on reqarg2.RequirementId =  req_.RequirementId
*/









-- ASSORTED RESOURCES
-- Allow Deer to appear near rivers, because deer live near rivers. Make them somewhat more common overall.
UPDATE Resources SET NoRiver='0', Frequency='12' WHERE ResourceType='RESOURCE_DEER' ;






-- STRATEGIC RESOURCES
-- Increase strategic resources by x2.5
-- Removed in v3.0.4
--UPDATE Resources SET Frequency=Frequency*2.5 WHERE ResourceClassType= 'RESOURCECLASS_STRATEGIC';


-- Make Iron not suck
UPDATE Resource_YieldChanges SET YieldChange='2' WHERE ResourceType='RESOURCE_IRON' AND YieldType='YIELD_SCIENCE' ;


-- Uranium now appears in water
INSERT INTO Resource_ValidTerrains
	(ResourceType,		TerrainType)
VALUES	('RESOURCE_URANIUM',	'TERRAIN_COAST')  ;





-- UPDATE BUG TRACKER
-- This code should go last in every file


UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Resources_Code';

